Name:		jp2a
Version:	1.2.0
Release:	%mkrel 2
Summary:	Converts JPG and PNG images to ASCII
Group:		Graphics/Editors and Converters
License:	GPLv2+
URL:		https://csl.name/%{name}
Source0:	https://github.com/Talinx/jp2a/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	autoconf-archive
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	gcc
BuildRequires:	ncurses-devel
BuildRequires:	texlive
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)

%description
jp2a is a simple JPEG and PNG to ASCII converter. jp2a is very flexible.
It can use ANSI colors and html in output.
jp2a can also download and convert images from Internet via command line.

%prep
%autosetup

%build
autoreconf -vi
%configure --with-jpeg-prefix=%{_prefix}
%make_build

%install
%make_install

%files
%doc AUTHORS BUGS ChangeLog NEWS README
%license COPYING LICENSES
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.2.0-2.mga10
+ Revision: 2224035
- Mageia 10 Mass Rebuild

* Wed Jun 05 2024 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 2070051
- new version: 1.2.0

* Thu Dec 29 2022 daviddavid <daviddavid> 1.1.1-1.mga9
+ Revision: 1927591
- new version: 1.1.1

* Fri Apr 01 2022 umeabot <umeabot> 1.1.0-2.mga9
+ Revision: 1840045
- Mageia 9 Mass Rebuild

* Fri Aug 20 2021 luigiwalser <luigiwalser> 1.1.0-1.mga9
+ Revision: 1741983
- 1.1.0 (adds png support)
- update BuildRequires
- update summary and description

* Tue Feb 18 2020 daviddavid <daviddavid> 1.0.9-1.mga8
+ Revision: 1539673
- new version: 1.0.9
- update Source URL

* Fri Feb 14 2020 umeabot <umeabot> 1.0.7-2.mga8
+ Revision: 1521747
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 31 2018 daviddavid <daviddavid> 1.0.7-1.mga7
+ Revision: 1347433
- new version: 1.0.7

* Sun Sep 23 2018 umeabot <umeabot> 1.0.6-7.mga7
+ Revision: 1298389
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 1.0.6-6.mga6
+ Revision: 939970
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-5.mga5
+ Revision: 740148
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-4.mga5
+ Revision: 680853
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.6-3.mga4
+ Revision: 521766
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 1.0.6-2.mga3
+ Revision: 391854
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ matteo <matteo>
- spec file reviewed

* Sun Dec 25 2011 matteo <matteo> 1.0.6-1.mga2
+ Revision: 187353
- added jpeg-devel as br
- imported package jp2a

